Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.SystemModule

Public Enum ePayMode
    NotSet = -1 'Nincs beállítva
    InCash = 0 'Készpénz
    InTransfer = 1 'Átutalás
    InOther = 2 'Egyéb
    InBarter = 3 'Barter
    InContinuous = 4 'Folyamatos teljesítés esetén
End Enum

<DefaultClassOptions()> _
<NavigationItem("FinancialStock")> _
<DefaultProperty("ShortName")> _
Public Class CurrencyName
    Inherits BaseObject
    Private _ShortName As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)

    End Sub
    Property ShortName() As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property

    <VisibleInListView(False), VisibleInLookupListView(False)> _
    ReadOnly Property MNBCurrencyRate As XPCollection(Of CurrencyRate)
        Get
            If Me IsNot Nothing Then
                Return New XPCollection(Of CurrencyRate)(Session, CriteriaOperator.Parse("CurrencyName=? and IsMNB=True", Me))
            Else
                Return Nothing
            End If
        End Get
    End Property
End Class 'Devizanem

